#
# spec file for package mgetty (Version 1.1.26)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libnetpbm netpbm tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libnetpbm libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         mgetty
Copyright:    1993-2000 Gert Dring (GPL-like)
Group:        Networking/Utilities
Requires:     g3utils
Autoreqprov:  on
Version:      1.1.26
Release:      64
Summary:      Listens on a serial line for data, fax or voice calls
URL:	 ftp://alpha.greenie.net/pub/mgetty/source/
Source: ftp://alpha.greenie.net/pub/mgetty/source/mgetty%{version}-Apr16.tar.bz2
Patch:	mgetty.diff
Patch1:	mgetty.destdir.diff
Patch4: mgetty.local.diff
BuildRoot:	/var/tmp/%{name}-buildroot

%description
This package turns your computer into a fax machine.
With some voice modems (Zyxel, Rockwell, USR), you can even use your
computer as an answering machine.
mgetty recognizes what kind of call it is receiving and does
everything else automatically.
It is able to accept data (login/PPP) and fax and -- depending
on your modem -- even voice calls.
You will find the documentation under /usr/share/doc/packages/mgetty
and TeX-Info files under /usr/share/info.
The configuration files are in /etc/mgetty+sendfax.

Authors:
--------
    Gert Dring <gert@greenie.muc.de>

SuSE series: n

%package -n sendfax
Conflicts: hylafax
Requires: mgetty g3utils
Summary:      A tool to send fax documents
Group:        Applications/Communications
Provides:     fax_daemon
Autoreqprov:  on

%description -n sendfax
The sendfax part of mgetty.
You can use it instead of hylafax to send faxes.
The sources are included in mgetty source package.

Authors:
--------
    Gert Dring <gert@greenie.muc.de>

SuSE series: n

%package -n g3utils
Summary:      Tools for the G3 (Fax) graphics format
Group:        Applications/Graphics
Autoreqprov:  on

%description -n g3utils
These utils do convert graphics files from G3 format into the general-
purpose PBM and back, so you can print or manipulate them.
G3 is used by fax modems and machines.
The g3utils are included in the mgetty source package.

Authors:
--------
    Gert Dring <gert@greenie.muc.de>

SuSE series: gra

%prep
%setup
%patch -p1
%patch1 -p1
%patch4 -p1
rm -f voice/scripts/*.orig

%build
ln -s policy.h-dist policy.h
make 
make -C voice

%install
make install DESTDIR=$RPM_BUILD_ROOT
install samples/new_fax.mail $RPM_BUILD_ROOT/etc/mgetty+sendfax/new_fax
ln -sf ../../../etc/mgetty+sendfax/new_fax $RPM_BUILD_ROOT/usr/lib/mgetty+sendfax/
make install -C voice DESTDIR=$RPM_BUILD_ROOT
install -m 644 voice/voice.conf-dist $RPM_BUILD_ROOT/etc/mgetty+sendfax/voice.conf
mkdir -p $RPM_BUILD_ROOT/var/spool/voice/{incoming,messages} $RPM_BUILD_ROOT%{_docdir}/mgetty/voice
install -m 644 [BFRT]* doc/ttyS-cua.txt $RPM_BUILD_ROOT%{_docdir}/mgetty/
install -m 644 voice/[ART]* voice/doc/* $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/
mkdir -p $RPM_BUILD_ROOT%{_docdir}/mgetty/samples
for name in samples/*; do if test ! -d $name; then install $name $RPM_BUILD_ROOT%{_docdir}/mgetty/samples; fi; done
mkdir -p $RPM_BUILD_ROOT%{_docdir}/mgetty/samples/new_fax.all
install samples/new_fax.all/* $RPM_BUILD_ROOT%{_docdir}/mgetty/samples/new_fax.all/
cd voice && cp -R scripts $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/
chmod 755 $RPM_BUILD_ROOT%{_docdir}/mgetty/voice/scripts/*
#cp -pf /usr/X11R6/bin/pbmtext $RPM_BUILD_ROOT/usr/bin/

%files
%dir /etc/mgetty+sendfax
%doc %{_docdir}/mgetty
%dir /var/spool/voice
%dir /var/spool/voice/incoming
%dir /var/spool/voice/messages
%config(noreplace) /etc/mgetty+sendfax/dialin.config
%config(noreplace) /etc/mgetty+sendfax/login.config
%config(noreplace) /etc/mgetty+sendfax/mgetty.config
%config(noreplace) /etc/mgetty+sendfax/voice.conf
/usr/bin/autopvf
/usr/bin/basictopvf
/usr/bin/lintopvf
/usr/bin/newslock
/usr/bin/pvfamp
/usr/bin/pvfcut
/usr/bin/pvfecho
/usr/bin/pvffft
/usr/bin/pvffile
/usr/bin/pvffilter
/usr/bin/pvfmix
/usr/bin/pvfnoise
/usr/bin/pvfreverse
/usr/bin/pvfsine
/usr/bin/pvfspeed
/usr/bin/pvftoau
/usr/bin/pvftobasic
/usr/bin/pvftolin
/usr/bin/pvftormd
/usr/bin/pvftovoc
/usr/bin/pvftowav
/usr/bin/rmdfile
/usr/bin/rmdtopvf
/usr/bin/vm
/usr/bin/voctopvf
/usr/bin/wavtopvf
%doc %{_infodir}/mgetty.info-1.gz
%doc %{_infodir}/mgetty.info-2.gz
%doc %{_infodir}/mgetty.info-3.gz
%doc %{_infodir}/mgetty.info-4.gz
%doc %{_infodir}/mgetty.info.gz
%doc %{_mandir}/man1/autopvf.1.gz
%doc %{_mandir}/man1/basictopvf.1.gz
%doc %{_mandir}/man1/lintopvf.1.gz
%doc %{_mandir}/man1/pvf.1.gz
%doc %{_mandir}/man1/pvfamp.1.gz
%doc %{_mandir}/man1/pvfcut.1.gz
%doc %{_mandir}/man1/pvfecho.1.gz
%doc %{_mandir}/man1/pvffft.1.gz
%doc %{_mandir}/man1/pvffile.1.gz
%doc %{_mandir}/man1/pvffilter.1.gz
%doc %{_mandir}/man1/pvfmix.1.gz
%doc %{_mandir}/man1/pvfnoise.1.gz
%doc %{_mandir}/man1/pvfreverse.1.gz
%doc %{_mandir}/man1/pvfsine.1.gz
%doc %{_mandir}/man1/pvfspeed.1.gz
%doc %{_mandir}/man1/pvftoau.1.gz
%doc %{_mandir}/man1/pvftobasic.1.gz
%doc %{_mandir}/man1/pvftolin.1.gz
%doc %{_mandir}/man1/pvftormd.1.gz
%doc %{_mandir}/man1/pvftovoc.1.gz
%doc %{_mandir}/man1/pvftowav.1.gz
%doc %{_mandir}/man1/rmdfile.1.gz
%doc %{_mandir}/man1/rmdtopvf.1.gz
%doc %{_mandir}/man1/voctopvf.1.gz
%doc %{_mandir}/man1/wavtopvf.1.gz
%doc %{_mandir}/man1/zplay.1.gz
%doc %{_mandir}/man4/mgettydefs.4.gz
%doc %{_mandir}/man8/callback.8.gz
%doc %{_mandir}/man8/mgetty.8.gz
/usr/sbin/mgetty
/usr/sbin/vgetty
# Note: This was erroneously in sendfax subpackage and the %config was missing
%config(noreplace) /etc/mgetty+sendfax/new_fax
%config /usr/lib/mgetty+sendfax/new_fax

%files -n g3utils
/usr/bin/g32pbm
/usr/bin/g3cat
/usr/bin/g3topbm
/usr/bin/pbm2g3
%doc %{_mandir}/man1/g32pbm.1.gz
%doc %{_mandir}/man1/g3cat.1.gz
%doc %{_mandir}/man1/pbm2g3.1.gz

%files -n sendfax
%dir /etc/mgetty+sendfax
%dir /usr/lib/mgetty+sendfax
%dir /var/spool/fax/incoming
%dir /var/spool/fax/outgoing
%dir /var/spool/fax/outgoing/locks
%config(noreplace) /etc/mgetty+sendfax/faxheader
%config(noreplace) /etc/mgetty+sendfax/faxrunq.config
%config(noreplace) /etc/mgetty+sendfax/sendfax.config
%config /etc/mgetty+sendfax/faxspool.rules.sample
/usr/bin/faxq
/usr/bin/faxrm
/usr/bin/faxrunq
/usr/bin/faxspool
#/usr/bin/pbmtext
/usr/sbin/faxrunqd
/usr/sbin/sendfax
/usr/lib/mgetty+sendfax/cour25.pbm
/usr/lib/mgetty+sendfax/cour25n.pbm
%doc %{_mandir}/man1/fax.1.gz
%doc %{_mandir}/man1/faxq.1.gz
%doc %{_mandir}/man1/faxrm.1.gz
%doc %{_mandir}/man1/faxrunq.1.gz
%doc %{_mandir}/man1/faxspool.1.gz
%doc %{_mandir}/man1/coverpg.1.gz
%doc %{_mandir}/man5/faxqueue.5.gz
%doc %{_mandir}/man8/faxrunqd.8.gz
%doc %{_mandir}/man8/sendfax.8.gz

%changelog -n mgetty
* Thu Jul 26 2001 - garloff@suse.de
- Move coverpg manpage to the sendfax subpackage.
- Update to mgetty-1.1.26. (#9387)  Highlights:
  * Better caller-ID handling
  * new viewfax
  * security precautions (O_EXCL, mkstemp)
  * Support multiple fax storage dirs
  * Voice support improved (0.9.27): Support
- mu-law PCM (ZyXEL 2864)
- Lucent-based Modem Blaster USB
- V253modem (improvements)
- internal modem MultiTech MT5634ZPX-PCI
- Rockwell Spirit Cobra
- TP560 Data/Fax/Voice 56K Modem / Supra56ePRO
  * ... and of course: many bugfixes
* Thu Mar 08 2001 - garloff@suse.de
- tmpfile security fix shadowed file descriptor, thus causing
  failure of fax receiving. Thanks to Wilhelm Spickermann
  for reporting. (bugzilla #6641).
* Thu Dec 07 2000 - garloff@suse.de
- Also include patch to fix paths from /usr/local to real places.
* Thu Dec 07 2000 - garloff@suse.de
- tmpfile security fix (faxrecp)
* Thu Dec 07 2000 - garloff@suse.de
- Update to 1.1.22-Aug17:
  * Inclusion of V.250/3 voice modem support
  * faxrunqd .last_run symlink vulnerability fixed
  * more bugfixes ...
* Tue Nov 28 2000 - kukuk@suse.de
- Fix neededforbuild (libnetpb -> libnetpbm)
* Wed Sep 13 2000 - schwab@suse.de
- Fix compilation on ia64.
* Thu Jun 29 2000 - garloff@suse.de
- new_fax script moved to mgetty subpackage and marked %%(config)
  (Bug reported by Robert Griebl). Consequently moved to
  /etc/mgetty+sendfax/
- made most %%config files (noreplace)
* Tue May 23 2000 - garloff@suse.de
- pbmtext hack removed.
- Install samples into %%{_docdir}/mgetty/samples.
* Mon May 22 2000 - garloff@suse.de
- Fix RPM_BUILD_ROOT dir.
* Fri May 19 2000 - garloff@suse.de
- Use BuildRoot.
- Get rid of Makefile.Linux
* Fri May 19 2000 - garloff@suse.de
- Use macros for %%{_docdir} etc.
* Tue Feb 22 2000 - garloff@suse.de
- merged ROs linux/types.h diff.
* Fri Feb 18 2000 - garloff@suse.de
- Update to mgetty-1.1.21.
* Wed Jan 19 2000 - ro@suse.de
- include linux/types before linux/serial
- man, info -> usr/share
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- sendfax: added Provides fax_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - garloff@suse.de
- created subpackage g3utils. Added home site to .spec
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Mon Jan 25 1999 - uli@suse.de
- update 1.1.18 -> 1.1.19
- fixed typo in frontends/dialog/faxv.in code
* Fri Oct 02 1998 - ro@suse.de
- remove origs in voice/scripts
* Thu Oct 01 1998 - ro@suse.de
- added tmp-fix for frontends/dialog/faxv.in
  and for voice/scripts/dtmf.sh (both from werner)
- voice/scripts removed local from shell-paths (/usr/bin/vm)
* Thu Oct 01 1998 - ro@suse.de
- update to 1.1.18
* Thu Jul 23 1998 - werner@suse.de
- Use mktemp for tmp files
* Tue Nov 11 1997 - ro@suse.de
- sendfax builds from same spec
  pbmtext is copied from netpbm package
  fixed dependency to /usr/local/bin/vm
* Wed Jul 30 1997 - florian@suse.de
- update to mgetty 1.1.8 (security fixes in sendfax scripts)
* Mon Jun 02 1997 - florian@suse.de
- update to version 1.1.6
- make "sendfax.tgz" as an extra binary package
- include voice getty
- include pbmtext from netpbm, so you don't have to install the big
  netpbm package for using sendfax
* Thu Jan 02 1997 - bs@suse.de
  recompiled with -DAUTO_PPP
* Thu Jan 02 1997 - florian@suse.de
- update to 0.99.3
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.99.2
- config files are now in /etc/mgetty+sendfax
